Skip to content

Start/Stop/Restart DBaaS

PUT
/api/v1/rds/cluster/{Cluster_id}/{start_stop_restart}
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/{start_stop_restart}?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
Cluster_id
required
integer

Cluster Id

start_stop_restart
required
string
Allowed values: resume shutdown restart

Start/Stop/Restart DBaaS

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

The DBaaS is Successfully Updated.

Media typeapplication/json
object
code
integer
data
object
message

The message of the cluster is successfully updating.

string
cluster_id

The ID of the cluster is updating.

integer
name

The name of the DBaaS cluster is updating.

string
errors
object
message
string

Example

{
"code": 200,
"data": {
"message": "DBaaS process started.",
"cluster_id": 5276,
"name": "E2E-DBaaS-26322-2920"
},
"errors": {},
"message": "Success"
}